<template>
  <div class="VerificationCode">
    <div class="getcode" v-if="isGet == false" @click='getCode' >获取验证码</div>
    <div class='getcode' v-if="isGet == true" >{{sec}}秒</div>
    <v-hintbox :hintbox="hintbox" @close="close"></v-hintbox>
  </div>
</template>

<script type="text/ecmascript-6">
  import config from '@/config'
  import hintbox from '@/components/hintbox/hintbox.vue'
  import {VeevlinkLogin,VeevlinkIslogin,VeevlinkClient,VeevlinkData} from '@/utils/base'
   export default {
     data(){
       return{
         hintbox:{
           text:'',
           show: false
         },
         isGet : false,
         sec : 30,
         verificationcode :''
       }
     },
     props:{
       phonenumber:{
         default(){
           return '';
         }
       }
     },
     components:{
       'v-hintbox' :hintbox
     },
     methods:{
       close(){
         this.hintbox.show=false;
         this.hintbox.text='';
       },
       // 验证码定时器
       getCode() {
         let  that = this;
         console.log(that.phonenumber.length);
//         return;
         that.isGet =true;
         let num = 30;
         let sec = 30;
         var time = setInterval(function () {
           if (num === 1) {
             clearInterval(time)
             that.sec = 30;
             that.isGet = false
             return false
           }else{
             num--;
             that.sec = num;
             sec = that.sec;
             // 判断手机号是不是11位，不是代表手机修改中，直接重置
             if(that.phonenumber.length !== 11){
               clearInterval(time)
               that.sec = 30;
               that.isGet = false
               return false
             }
           }
           //  this.sec = remian;
         }, 1000);
         console.log('调取验证码');
         //第三步：请求验证码接口，并记录服务器返回的验证码用于判断，这里服务器也可能不返回验证码，那验证码的判断交给后台*/
         let veevlink = VeevlinkData();
         VeevlinkClient(
           '/user/verificationCode?openid='+veevlink.OpenId+'&phonenumber='+that.phonenumber,
           'GET',
           '',
           function (data) {
             if(data.success){
               console.log(data.records[0].VerificationCodeEntity.verificationcode);
               that.verificationcode = data.records[0].VerificationCodeEntity.verificationcode;
               that.$emit("codeEmit", that.verificationcode);
             }else{
               that.hintbox.show= true;
               that.hintbox.text=data.message;
             }
           },
           function (error) {
             console.log(error);
             that.hintbox.show= true;
             that.hintbox.text=JSON.stringify(error);
           },'发送中')
       }
     }
   }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style lang="scss" type="text/scss" scoped>
  .getcode{
    color: #C98E52;
    margin-left: 0.8rem;
    min-width: 1.5rem;
    text-align: right;
  }
</style>
